cURL
curl --request GET \
--url https://api.embeddables.com/projects/{projectId}/entries/{entryId}/events \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://api.embeddables.com/projects/{projectId}/entries/{entryId}/events"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://api.embeddables.com/projects/{projectId}/entries/{entryId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"entry_id": "entry_myexampleentry",
"contact_id": "contact_myexamplecontact",
"project_id": "pr_myexampleproject",
"group_id": "group_myexamplegroup",
"embeddable_id": "flow_myexampleflow",
"embeddable_version_number": 1,
"timestamp": "2022-01-01T00:00:00Z",
"page_id": "page_myexamplepageid1",
"page_key": "page_myexamplepagekey1",
"page_index": 1,
"max_page_id": "page_myexamplemaxpageid2",
"max_page_key": "page_myexamplemaxpagekey2",
"max_page_index": 2,
"total_pages": 3,
"event_type": "flowpage.viewed",
"view_type": "flowpage",
"custom_event_name": "my_custom_event",
"custom_event_props": "{ \"key\": \"value\" }"
},
{
"entry_id": "entry_myexampleentry",
"contact_id": "contact_myexamplecontact",
"project_id": "pr_myexampleproject",
"group_id": "group_myexamplegroup",
"embeddable_id": "flow_myexampleflow",
"embeddable_version_number": 1,
"timestamp": "2022-01-01T00:01:00Z",
"page_id": "page_myexamplepageid2",
"page_key": "page_myexamplepagekey2",
"page_index": 2,
"max_page_id": "page_myexamplemaxpageid2",
"max_page_key": "page_myexamplemaxpagekey2",
"max_page_index": 2,
"total_pages": 3,
"event_type": "flowpage.viewed",
"view_type": "flowpage",
"custom_event_name": "my_custom_event",
"custom_event_props": "{ \"key\": \"value\" }"
}
]{
"error": {
"code": "unauthorized",
"message": "You are not authorized to access this project with the API key provided."
},
"projectId": "pr_myexampleproject"
}{
"error": {
"code": "entry_not_found",
"message": "The entry with the specified ID does not exist or you don't have permission to access it."
},
"entryId": "entry_doesnotexist"
}Entries
Get Entry Events
Retrieve all events for entry from the database based on the ID
GET
/
projects
/
{projectId}
/
entries
/
{entryId}
/
events
cURL
Headers
Path Parameters
The unique identifier for a Project in the database
The unique identifier for an Entry in the database
Query Parameters
The number of entries to return (defaults to 10).
The direction to sort by (defaults to DESC)
Available options:
ASC, DESC Response
The unique identifier for an Entry in the database
The unique identifier for a Contact in the database
The unique identifier for a Project in the database
The unique identifier for a Group in the database
The unique identifier for a Embeddable in the database
A Date + Time string in ISO format
The version number of an embeddable
Was this page helpful?

